PropertyAccessException (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans

## Class PropertyAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.PropertyAccessException

- All Implemented Interfaces:
    Serializable, ErrorCoded
  Direct Known Subclasses:
    MethodInvocationException, TypeMismatchException

      public abstract class PropertyAccessException
      extends BeansException
      implements ErrorCoded

  Superclass for exceptions related to a property access, such as type mismatch or invocation target exception.
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyAccessException(PropertyChangeEvent propertyChangeEvent, String msg, Throwable cause)` Create a new PropertyAccessException.
    `PropertyAccessException(String msg, Throwable cause)` Create a new PropertyAccessException without PropertyChangeEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyChangeEvent` | `getPropertyChangeEvent()` Return the PropertyChangeEvent that resulted in the problem.
    `String` | `getPropertyName()` Return the name of the affected property, if available.
    `Object` | `getValue()` Return the affected value that was about to be set, if any.

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.core.ErrorCoded

      `getErrorCode`

- - ### Constructor Detail

    - #### PropertyAccessException

          public PropertyAccessException(PropertyChangeEvent propertyChangeEvent,
                                 String msg,
                                 Throwable cause)

      Create a new PropertyAccessException.
      Parameters:
        `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
        `msg` - the detail message
        `cause` - the root cause

    - #### PropertyAccessException

          public PropertyAccessException(String msg,
                                 Throwable cause)

      Create a new PropertyAccessException without PropertyChangeEvent.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause

  - ### Method Detail

    - #### getPropertyChangeEvent

          public PropertyChangeEvent getPropertyChangeEvent()

      Return the PropertyChangeEvent that resulted in the problem.

      May be `null`; only available if an actual bean property was affected.

    - #### getPropertyName

          public String getPropertyName()

      Return the name of the affected property, if available.

    - #### getValue

          public Object getValue()

      Return the affected value that was about to be set, if any.